package com.yuchen.saas.park.api.entity.park;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.nest.springwrap.core.mp.base.BaseEntity;

/**
 * <p>
 * 人员房源关系表
 * </p>
 *
 * @author 洪铭铭
 * @since 2024-06-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("people_property_relation")
@ApiModel(value="PeoplePropertyRelation对象", description="人员房源关系表")
public class PeoplePropertyRelation extends BaseEntity {


    @ApiModelProperty(value = "人员id")
    @TableField("people_id")
    private Long peopleId;

    @ApiModelProperty(value = "社区id")
    @TableField("park_id")
    private Long parkId;

    @ApiModelProperty(value = "社区名称")
    @TableField("park_name")
    private String parkName;

    @ApiModelProperty(value = "楼栋id")
    @TableField("building_id")
    private Long buildingId;

    @ApiModelProperty(value = "建筑名称")
    @TableField("building_name")
    private String buildingName;

    @ApiModelProperty(value = "单元id")
    @TableField("building_unit_id")
    private Long buildingUnitId;

    @ApiModelProperty(value = "单元名称")
    @TableField("building_unit_name")
    private String buildingUnitName;

    @ApiModelProperty(value = "楼层id")
    @TableField("floor_id")
    private Long floorId;

    @ApiModelProperty(value = "楼层名称")
    @TableField("floor_name")
    private String floorName;

    @ApiModelProperty(value = "房间id")
    @TableField("room_id")
    private Long roomId;

    @ApiModelProperty(value = "房间名称")
    @TableField("room_name")
    private String roomName;

    @ApiModelProperty(value = "人员类型ID")
    @TableField("people_type")
    private Long peopleType;

    @ApiModelProperty(value = "人员二级类型ID")
    @TableField("people_sub_type")
    private Long peopleSubType;

    @ApiModelProperty(value = "绑定状态 1：已绑定 2：未绑定 3：已失效")
    @TableField("bind_status")
    private Integer bindStatus;

    public Long getPeopleId() {
        return peopleId;
    }

    public void setPeopleId(Long peopleId) {
        this.peopleId = peopleId;
    }

    public Long getParkId() {
        return parkId;
    }

    public void setParkId(Long parkId) {
        this.parkId = parkId;
    }

    public String getParkName() {
        return parkName;
    }

    public void setParkName(String parkName) {
        this.parkName = parkName;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public Long getBuildingUnitId() {
        return buildingUnitId;
    }

    public void setBuildingUnitId(Long buildingUnitId) {
        this.buildingUnitId = buildingUnitId;
    }

    public String getBuildingUnitName() {
        return buildingUnitName;
    }

    public void setBuildingUnitName(String buildingUnitName) {
        this.buildingUnitName = buildingUnitName;
    }

    public Long getFloorId() {
        return floorId;
    }

    public void setFloorId(Long floorId) {
        this.floorId = floorId;
    }

    public String getFloorName() {
        return floorName;
    }

    public void setFloorName(String floorName) {
        this.floorName = floorName;
    }

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public Long getPeopleType() {
        return peopleType;
    }

    public void setPeopleType(Long peopleType) {
        this.peopleType = peopleType;
    }

    public Long getPeopleSubType() {
        return peopleSubType;
    }

    public void setPeopleSubType(Long peopleSubType) {
        this.peopleSubType = peopleSubType;
    }

    public Integer getBindStatus() {
        return bindStatus;
    }

    public void setBindStatus(Integer bindStatus) {
        this.bindStatus = bindStatus;
    }
}
